html{
  scroll-behavior:smooth;
}
body{
  display: flex;
  flex-direction:column ;
  align-items: center ;
  font-family: 'Montserrat', sans-serif;
  font-weight: 1000;
  background-color: #f5f0e1;
  animation: 0.5s ease-out 0s 1 presentationOnLoad;
  z-index: 0;
  margin: 0;
}
@keyframes presentationOnLoad {
  0% {
      transform: translateX(150%);
  }
  100% {
      transform: translateY(0);
  }
}
.container{
  border-top: solid black;
}
*{
  transition: 200ms ;
}
#lastcontainer{
  display: grid;
  padding-top: 50px;
  grid-template:
    [row1-start] "about contact " 500px [row1-end]
    / 500px 500px;
    gap: 50px;
}
#about{
  grid-area: about;
}
#contact{
  grid-area: contact;
}
#project{
    display: grid;
    width: max-content;
    grid-template:
      [row1-start] ". title . " 50px [row1-end]
      [row1-start] "BJtest BJ gitBJ" 200px [row1-end]
      [row2-start] "shooter SHtest gitshooter" 225px [row2-end]
      [row3-start] "circletest circles gitcircle" 225px [row3-end]
      [row4-start] "bomb showBomb gitbomb" 300px [row4-end]
      [row5-start] "showM memory gitmem" 300px [row5-end]
      [row6-start] "battleship showNav gitnav" 300px [row6-end]
      / 400px 400px 100px;
    justify-content: center;
    padding: 15px;
    gap: 50px 50px;
}
#title{
  grid-area: title;
}
.giticon{
  justify-self: center;
  align-self: center;
}
#gitBJ{
  grid-area: gitBJ;
}
#gitshooter{
  grid-area: gitshooter;
}
#gitbomb{
  grid-area: gitbomb;
}
#gitcircle{
  grid-area: gitcircle;
}
#gitbomb{
  grid-area: gitbomb;
}
#gitmem{
  grid-area: gitmem;
}
#gitnav{
  grid-area: gitnav;
}
#showNav{
  grid-area: showNav;
}
#showM{
  grid-area: showM;
}
#showBomb{
  grid-area: showBomb;
}
#showCircle{
  grid-area: circletest;
}
#showSH{
  grid-area: SHtest;
}
#showBJ{
  grid-area: BJtest;
}
#BJ.description{
  grid-area: BJ;
}
#shooter{
  grid-area: shooter;
}
#animated_circle{
  grid-area: circles;
}
#found_bomb{
  grid-area: bomb;
}
#memory{
  grid-area: memory;
}
#Battleship{
  grid-area: battleship;
}
header{
  display: flex;
  width: 100%;
  height: 60px;
  justify-content:space-between;
  position: fixed;
  margin: 0px 50px;
  z-index: 2;
  background-color: #f5f0e1 ;
}
#onglet{
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 50%;
  justify-content: space-evenly;
}
.ong{
  cursor: pointer;
}
.icon{
  align-self:end ;
}
#project svg{
  align-self: center;
}
h1{
  font-family: 'Black Ops One';font-size: 22px;
}
pre{
  margin: 5px 0px;
}
a{
  text-decoration: none;
  color: black;
}
#card {
    background: linear-gradient(to bottom, #1e3d59,#ff6e40);
    grid-area: card;
    justify-self: center;
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 0px;
    width: 500px;
    justify-self: center;
    display: grid;
    grid-template:
      [row1-start] "card_title" 60px [row1-end]
      [row2-start] "card_job" 60px [row2-end]
      [row3-start] "card_stud" 60px [row3-end]
      [row4-start] "card_icon" 60px [row4-end]
      / 500px;
      color: #f5f0e1;
}
#card-icon{
  display: flex;
  grid-area: card_icon;
  align-items: flex-end;
}
#first_gridcontainer{
  display: grid;
  grid-template:
    [row1-start] "card card" 250px [row1-end]
    [row2-start] "consbot consme" 200px [row2-end]
    / 600px 400px;
  justify-content: center;
  padding: 15px;
  gap: 20px;
  margin-bottom: 300px;
  margin-top: 100px;
}
#home{
  cursor: pointer;
}
.divhover{
  display: flex;
  border: solid black 10px;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  cursor: pointer;
}
.divhover:hover{
  border-radius: 150%;
  transition: 1s;
}
#second_gridcontainer{
  display: grid;
  grid-template:
    [row1-start] "Soft Hard" 250px [row1-end]
    / 500px 500px;
  justify-content: center;
  padding: 15px;
  gap: 5px;
}
.skills{
  justify-self: center;
}
#over{
  grid-area: consbot;
  z-index: 1;
  opacity: 0.7;
}
#object-me{
  grid-area: consme;
  height: 150px;
  justify-self: end ;
  border-left: solid black;
  padding-left: 5px;

}
#object-bot{
  grid-area: consbot;
  border-left: solid black;
  padding-left: 5px;
}
#secondcontainer::before{
  visibility: hidden;
}
#CV{
  display: grid;
  width: max-content;
  grid-template:
    [row1-start] "Titre aboutme" 200px [row1-end]
    [row2-start] "exppro competences" 200px [row2-end]
    [row3-start] "projets lien" 300px [row3-end]
    [row4-start] "formations loisirs" 450px [row4-end]
    / 650px 350px ;
  justify-content:end;
  padding: 15px;
  gap: 10px;
  background: linear-gradient(to right, #f5f0e1,#ff6e40);
  color: black;
}
#CV_intro{
  grid-area: Titre;
}
#CV_exp{
  grid-area: exppro;
}
#CV_projet{
  grid-area: projets;
}
#CV_formations{
  grid-area: formations;
}
#CV_aboutme{
  grid-area: aboutme;
}
#CV_competences{
  grid-area: competences;
}
#CV_link{
  grid-area: lien;
  display: flex;
  justify-content: center;
  align-items: center;
}
#CV_loisir{
  grid-area: loisirs;
}
#theme-container{
  width: 70px;
  height: 30px;
  border:solid black;
  margin-bottom: 10px;
  border-radius: 150px;
  display: flex;
  justify-content: flex-start;
  cursor: pointer;
}
#theme-actif{
  display: flex;
  width: 60%;
  height: 100%;
  border-radius: 150px;
  background-color: black;
  color: white;
  justify-content: center;
  align-items: center;
  
}
.container{
  margin-bottom: 15px;
}
.containers{
  margin-bottom: 15px;
}
svg:hover{
  -webkit-transform:scale(1.25); /* Safari et Chrome */
  -moz-transform:scale(1.25); /* Firefox */
  -ms-transform:scale(1.25); /* Internet Explorer 9 */
  -o-transform:scale(1.25); /* Opera */
  transform:scale(1.25);
}
@keyframes square-to-circle {
  0%  {
    border-radius:0 0 0 0;
    transform:rotate(0deg);
  }
  25%  {
    border-radius:25% 25% 25% 25%;
    transform:rotate(0deg);
  }
  50%  {
    border-radius:50% 50% 50% 50%;
    transform:rotate(90deg);
  }
  75%  { 
    border-radius:75% 75% 75% 75%;
    transform:rotate(180deg);
  }
  100% {  
    border-radius:100% 100% 100% 100%;
    transform:rotate(360deg);
  }
}
/* 
body{
    display: grid;
    background-color: red;
    height: 1000px;
    grid-template:
        [row1-start] "header header header"  [row1-end]
        [row2-start] "item-a item-a ."  [row2-end]
        [row3-start] "footer footer footer"  [row3-end];
    column-gap: 10px;
    row-gap: 15px;
}
.item-a {
    border: solid black;
    grid-area: item-a;
}
header{
    background-color: blue;
    grid-area: header;
}*/
/* animation border a implémenter
.item-a{
    animation: square-to-circle 1s .83s infinite cubic-bezier(1,.015,.295,1.225) alternate;
}
@keyframes square-to-circle {
  0%  {
    border-radius:0 0 0 0;
    transform:rotate(0deg);
  }
  25%  {
    border-radius:25% 25% 25% 25%;
    transform:rotate(0deg);
  }
  50%  {
    border-radius:50% 50% 50% 50%;
    transform:rotate(90deg);
  }
  75%  { 
    border-radius:75% 75% 75% 75%;
    transform:rotate(180deg);
  }
  100% {  
    border-radius:100% 100% 100% 100%;
    transform:rotate(360deg);
  }
}*/
